test_recursion.html failed causing mochitest timeout

RESOLVED WORKSFORME

Status

()

defect
RESOLVED WORKSFORME
10 years ago
a month ago

People

(Reporter: Gavin, Unassigned)

Tracking

({intermittent-failure})

Trunk
x86
Windows XP
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

See http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1238193473.1238201942.8286.gz&fulltext=1#err0 (scroll up a bit).

We apparently catch the first case of plain-JS recursion, but the onerror handler for the second JS->C++->JS test is never called, and we time out. I think the fact that the entire harness times out means that the entire process hung?

(unrelated nit: the test should specify a message string for its is() calls, to avoid having "| undefined" appear in the log)
Whiteboard: [orange]
{
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.5/1238453972.1238460936.24722.gz
WINNT 5.2 mozilla-1.9.1 unit test on 2009/03/30 15:59:32

[...]
*** 29072 INFO Running /tests/dom/src/threads/test/test_recursion.html...
*** 29073 INFO TEST-PASS | /tests/dom/src/threads/test/test_recursion.html | undefined

command timed out: 300 seconds without output
}
Flags: wanted1.9.1?
Do we have the ability to figure out when this started? I don't remember ever seeing this fail before recently...

Updated

10 years ago
Blocks: 438871
Not sure if this is the same failure:
{
29582 INFO Running /tests/dom/src/threads/test/test_recursion.html...
pure virtual method called
terminate called without an active exception
TEST-UNEXPECTED-FAIL | automation.py | Exited with code -6 during test run
}

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.5-Unittest/1257206821.1257207819.27948.gz
OS X 10.5.2 mozilla-1.9.1 test mochitests on 2009/11/02 16:07:01
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263308443.1263309323.11379.gz
OS X 10.5.2 mozilla-central test mochitests-2/5 on 2010/01/12 07:00:43
s: bm-xserve07
521 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/src/threads/test/test_recursion.html | undefined - got "uncaught exception: [Exception... \"Illegal operation on WrappedNative prototype object\"  nsresult: \"0x8057000c (NS_ERROR_XPC_BAD_OP_ON_WN_PROTO)\"  location: \"JS frame :: http://localhost:8888/tests/dom/src/threads/test/recursion_worker.js :: <TOP_LEVEL> :: line 1\"  data: no]", expected "too much recursion"
522 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/src/threads/test/test_recursion.html | Test timed out.
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264431716.1264432618.24323.gz
OS X 10.5.2 mozilla-central opt test mochitests-2/5 on 2010/01/25 07:01:56
s: bm-xserve11
Comment hidden (Legacy TBPL/Treeherder Robot)
Flags: wanted1.9.1?
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Status: NEW → RESOLVED
Last Resolved: 7 years ago
Resolution: --- → WORKSFORME
Whiteboard: [orange]
Component: DOM → DOM: Core & HTML
Product: Core → Core
You need to log in before you can comment on or make changes to this bug.